tigase.xmpp.impl.roster

## Class Roster

- java.lang.Object
- - tigase.xmpp.impl.roster.RosterAbstract
  - - tigase.xmpp.impl.roster.Roster

- Deprecated.
  RosterFlat should be used instead

      @Deprecated
      public class Roster
      extends RosterAbstract

  Describe class Roster here. Created: Tue Feb 21 18:05:53 2006

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.xmpp.impl.roster.RosterAbstract

      `RosterAbstract.PresenceType, RosterAbstract.StateTransition, RosterAbstract.SubscriptionType`

  - ### Field Summary

    - ### Fields inherited from class tigase.xmpp.impl.roster.RosterAbstract

      `CLIENT_XMLNS, DISCO_FEATURES, emptyNameAllowed, FEATURES, FROM_SUBSCRIBED, GROUP, GROUPS, INITIAL_PRESENCES, maxRosterSize, NAME, PENDING_IN, PENDING_OUT, ROSTER, ROSTER_XMLNS, ROSTERHASH, SUB_BOTH, SUB_FROM, SUB_NONE, SUB_TO, SUBSCRIPTION, TO_SUBSCRIBED, VER_ATT, XMLNS, XMLNS_DYNAMIC, XMLNS_LOAD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Roster()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBuddy(XMPPResourceConnection session, JID jid, String name, String[] groups, String otherData)` Deprecated.
    `boolean` | `addBuddyGroup(XMPPResourceConnection session, JID buddy, String[] groups)` Deprecated.
    `boolean` | `containsBuddy(XMPPResourceConnection session, JID buddy)` Deprecated.
    `JID[]` | `getBuddies(XMPPResourceConnection session)` Deprecated.
    `String[]` | `getBuddyGroups(XMPPResourceConnection session, JID buddy)` Deprecated.
    `String` | `getBuddyName(XMPPResourceConnection session, JID buddy)` Deprecated.
    `RosterAbstract.SubscriptionType` | `getBuddySubscription(XMPPResourceConnection session, JID buddy)` Deprecated.
    `Element` | `getCustomChild(XMPPResourceConnection session, JID buddy)` Deprecated.
    `RosterElement` | `getRosterElement(XMPPResourceConnection session, JID jid)` Deprecated.
    `boolean` | `isOnline(XMPPResourceConnection session, JID jid)` Deprecated.
    `boolean` | `isRosterLoaded(XMPPResourceConnection session)` Deprecated. Check if data containing user roster for this session is loaded from database
    `void` | `logout(XMPPResourceConnection session)` Deprecated.
    `boolean` | `presenceSent(XMPPResourceConnection session, JID jid)` Deprecated.
    `boolean` | `removeBuddy(XMPPResourceConnection session, JID jid)` Deprecated.
    `void` | `setBuddyName(XMPPResourceConnection session, JID buddy, String name)` Deprecated.
    `void` | `setBuddySubscription(XMPPResourceConnection session, RosterAbstract.SubscriptionType subscription, JID buddy)` Deprecated.
    `void` | `setOnline(XMPPResourceConnection session, JID jid, boolean online)` Deprecated.
    `void` | `setPresenceSent(XMPPResourceConnection session, JID jid, boolean sent)` Deprecated.

    - ### Methods inherited from class tigase.xmpp.impl.roster.RosterAbstract

      `getBuddies, getBuddiesHash, getBuddyItem, getCustomChildren, getPresenceType, getRosterItems, getStateTransition, groupNode, init, isPendingIn, isSubscribedFrom, isSubscribedFrom, isSubscribedTo, setProperties, updateBuddyChange, updateBuddySubscription, updateRosterHash`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Roster

          public Roster()

      Deprecated.

  - ### Method Detail

    - #### addBuddy

          public void addBuddy(XMPPResourceConnection session,
                               JID jid,
                               String name,
                               String[] groups,
                               String otherData)
                        throws NotAuthorizedException,
                               TigaseDBException

      Deprecated.
      Specified by:
        `addBuddy` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### addBuddyGroup

          public boolean addBuddyGroup(XMPPResourceConnection session,
                                       JID buddy,
                                       String[] groups)
                                throws NotAuthorizedException,
                                       TigaseDBException

      Deprecated.
      Specified by:
        `addBuddyGroup` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### containsBuddy

          public boolean containsBuddy(XMPPResourceConnection session,
                                       JID buddy)
                                throws NotAuthorizedException,
                                       TigaseDBException

      Deprecated.
      Specified by:
        `containsBuddy` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddies

          public JID[] getBuddies(XMPPResourceConnection session)
                           throws NotAuthorizedException,
                                  TigaseDBException

      Deprecated.
      Specified by:
        `getBuddies` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddyGroups

          public String[] getBuddyGroups(XMPPResourceConnection session,
                                         JID buddy)
                                  throws NotAuthorizedException,
                                         TigaseDBException

      Deprecated.
      Specified by:
        `getBuddyGroups` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddyName

          public String getBuddyName(XMPPResourceConnection session,
                                     JID buddy)
                              throws NotAuthorizedException,
                                     TigaseDBException

      Deprecated.
      Specified by:
        `getBuddyName` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddySubscription

          public RosterAbstract.SubscriptionType getBuddySubscription(XMPPResourceConnection session,
                                                                      JID buddy)
                                                               throws NotAuthorizedException,
                                                                      TigaseDBException

      Deprecated.
      Specified by:
        `getBuddySubscription` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### isRosterLoaded

          public boolean isRosterLoaded(XMPPResourceConnection session)

      Deprecated.
      Description copied from class: `RosterAbstract`
      Check if data containing user roster for this session is loaded from database
      Specified by:
        `isRosterLoaded` in class `RosterAbstract`
      Returns:

    - #### isOnline

          public boolean isOnline(XMPPResourceConnection session,
                                  JID jid)
                           throws NotAuthorizedException,
                                  TigaseDBException

      Deprecated.
      Specified by:
        `isOnline` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### presenceSent

          public boolean presenceSent(XMPPResourceConnection session,
                                      JID jid)
                               throws NotAuthorizedException,
                                      TigaseDBException

      Deprecated.
      Specified by:
        `presenceSent` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### removeBuddy

          public boolean removeBuddy(XMPPResourceConnection session,
                                     JID jid)
                              throws NotAuthorizedException,
                                     TigaseDBException

      Deprecated.
      Specified by:
        `removeBuddy` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setBuddyName

          public void setBuddyName(XMPPResourceConnection session,
                                   JID buddy,
                                   String name)
                            throws NotAuthorizedException,
                                   TigaseDBException

      Deprecated.
      Specified by:
        `setBuddyName` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setBuddySubscription

          public void setBuddySubscription(XMPPResourceConnection session,
                                           RosterAbstract.SubscriptionType subscription,
                                           JID buddy)
                                    throws NotAuthorizedException,
                                           TigaseDBException

      Deprecated.
      Specified by:
        `setBuddySubscription` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setOnline

          public void setOnline(XMPPResourceConnection session,
                                JID jid,
                                boolean online)
                         throws NotAuthorizedException,
                                TigaseDBException

      Deprecated.
      Specified by:
        `setOnline` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setPresenceSent

          public void setPresenceSent(XMPPResourceConnection session,
                                      JID jid,
                                      boolean sent)
                               throws NotAuthorizedException,
                                      TigaseDBException

      Deprecated.
      Specified by:
        `setPresenceSent` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getRosterElement

          public RosterElement getRosterElement(XMPPResourceConnection session,
                                                JID jid)
                                         throws NotAuthorizedException,
                                                TigaseDBException

      Deprecated.
      Specified by:
        `getRosterElement` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### logout

          public void logout(XMPPResourceConnection session)

      Deprecated.
      Specified by:
        `logout` in class `RosterAbstract`

    - #### getCustomChild

          public Element getCustomChild(XMPPResourceConnection session,
                                        JID buddy)

      Deprecated.
      Specified by:
        `getCustomChild` in class `RosterAbstract`

Copyright © 2018 "Tigase, Inc.". All rights reserved.